Page MenuHomePhabricator

Expand information presented on Special:GlobalGroupPermissions
Closed, ResolvedPublic

Description

Hello. Currently, local user groups are listed at Special:ListGroupRights. Would it be possible to create a Special:ListGlobalRights page, to easily display global user groups and the associated rights? The functionality currently exists on https://tools.wmflabs.org/meta/globalgroups/ but an on-wiki equivalent would be ideal. This page could be linked from Special:ListGroupRights, and also show which groups are active on a given project through wikisets.

The reason for this is just transparency, so it is easier for local users to see and understand.

Event Timeline

Restricted Application added subscribers: Zppix, JEumerus, Aklapper. · View Herald TranscriptMay 16 2016, 11:00 PM
Ajraddatz triaged this task as Low priority.May 16 2016, 11:01 PM

This would just be a different view of the data already shown in Special:GlobalGroupPermissions :/

Essentially, yes. One page for managing and another for viewing, as is common with wiki extensions. Alternatively, the GlobalGroupPermissions page could be modified to have a more usable interface when reading which permissions a group has. (and preferably still with linking between it and ListGroupRights).

Krenair added a comment.EditedMay 17 2016, 12:09 AM

I'd prefer we improve what we already have than build something new, but I'm not sure what an improvement would look like.
Maybe:

  • Splitting the rights checkboxes for each global group into separate fields (for users who can't edit?) so it's easier to tell which are currently granted to the group and which are not. Or...
  • Turning the main Special:GlobalGroupPermissions list page into something like Special:ListGroupRights (list currently granted rights in a table but with '(manage)' links to the existing subpages (which would remain as they currently are) below the group names.

I like option #2.

No such special page
You have requested an invalid special page.

A list of valid special pages can be found at Special pages or Help:Special page.

Return to Main Page.

@DSsfduhi4, what special page did you request?

This is a request to create a new special page, so yes it's normal Special:ListGlobalRights doesn't exist.

Option 2 sounds perfect. Thanks for suggesting something better! I'll change the title of this ticket, and focus my initial efforts at modifying the globalgrouppermissions page instead.

Ajraddatz renamed this task from Create a ListGlobalRights page to Expand information presented on Special:GlobalGroupPermissions.May 17 2016, 7:45 PM
Glaisher claimed this task.May 19 2016, 5:42 PM

Change 289988 had a related patch set uploaded (by Glaisher):
Special:GlobalGroupPermissions: Show table with global groups information instead of a list

https://gerrit.wikimedia.org/r/289988

Change 289988 merged by jenkins-bot:
Special:GlobalGroupPermissions: Show table with global groups information instead of a list

https://gerrit.wikimedia.org/r/289988

Glaisher closed this task as Resolved.Jun 6 2016, 11:34 AM

Please revert this change. The page is now way too cluttered with the high number of global groups that exist. In the previous mode, it was way easier to find the group about which one wanted to find out something in the moment (I don't believe people often visit this page to read about all groups' rights at once).

Btw, there is also a bug: No distinction between opt-in and opt-out wikisets leads to "Set of wikis where this group is active: Opted-out of global sysop wikis".

The previous page was so unusable for finding information that Pathoschild made a tool which listed the groups and their associated rights on the labs to compensate. I'm not expecting daily viewership here, but it is useful to be able to link to a page that clearly displays which global groups are active and have specific permissions. I would still prefer that it be separated from group management, but I can also understand the duplication concerns.

Please revert this change. The page is now way too cluttered with the high number of global groups that exist. In the previous mode, it was way easier to find the group about which one wanted to find out something in the moment

Exactly how does this change make it difficult to find a specific group's information? I agree that the page is now quite long on Wikimedia wikis but I don't understand how it's making it difficult to find a group information. If it does help, we could try to add a TOC so that it's easier to jump to a group.

(I don't believe people often visit this page to read about all groups' rights at once).

The same could be said for Special:ListGroupRights too (and I also don't think people visit there often for that purpose) but that's not why I personally didn't like the group management page. It is terrible for reading rights assigned to a group since they were spread all over the page (especially for users without edit rights since there is not much visible distinction between when it's checked or not when the element is disabled/readonly).

Btw, there is also a bug: No distinction between opt-in and opt-out wikisets leads to "Set of wikis where this group is active: Opted-out of global sysop wikis".

I noticed this too when I wrote the patch but since that is the wording used on the group specific pages as well and since it's a wording set on wiki (not an internal name), I thought it was acceptable and so used that label here as well.

Exactly how does this change make it difficult to find a specific group's information? I agree that the page is now quite long on Wikimedia wikis but I don't understand how it's making it difficult to find a group information. If it does help, we could try to add a TOC so that it's easier to jump to a group.

The page is simply very long. Whereas previous it was just a list where one could right away choose the group one wanted to view/edit.

(I don't believe people often visit this page to read about all groups' rights at once).

The same could be said for Special:ListGroupRights too (and I also don't think people visit there often for that purpose) but that's not why I personally didn't like the group management page. It is terrible for reading rights assigned to a group since they were spread all over the page (especially for users without edit rights since there is not much visible distinction between when it's checked or not when the element is disabled/readonly).

Then the read-only view of the groups should probably be changed.

Btw, there is also a bug: No distinction between opt-in and opt-out wikisets leads to "Set of wikis where this group is active: Opted-out of global sysop wikis".

I noticed this too when I wrote the patch but since that is the wording used on the group specific pages as well and since it's a wording set on wiki (not an internal name), I thought it was acceptable and so used that label here as well.

Well, it would be good to fix that, as this way it is clearly false.

If people find it difficult to find group information (I personally don't find it much as an issue probably because I'm used to do Ctrl+F all the time), I suppose we could move the list of rights to a detailed view to a separate page (something like Special:GlobalGroupPermissions?view=detailed) and then link to it from the usual main page. We could leave the add the new enhancements the old page as well. Changing group specific pages to a view like this would mean there would be too much redundancy with all the rights and the assigned rights.

Btw, there is also a bug: No distinction between opt-in and opt-out wikisets leads to "Set of wikis where this group is active: Opted-out of global sysop wikis".

I noticed this too when I wrote the patch but since that is the wording used on the group specific pages as well and since it's a wording set on wiki (not an internal name), I thought it was acceptable and so used that label here as well.

Well, it would be good to fix that, as this way it is clearly false.

It is false because of the way it was originally set on wiki. It could also be modified on wiki to accurately be shown on that page. I think it has been like that always so I don't know whether it should be changed now on CA so that it is correct just there.

It is false because of the way it was originally set on wiki. It could also be modified on wiki to accurately be shown on that page. I think it has been like that always so I don't know whether it should be changed now on CA so that it is correct just there.

I don't know what you mean. There are two ways to configure a wikiset, either as opt-in or opt-out:
A group will be active either on all wikis included in the wikiset OR on all wikis not included in the wikiset.
It's therefore wrong to say that Global sysops are enabled on all wikis of "Opted-out of global sysop wikis"; precisely because "Opted-out of global sysop wikis" is an opt-out wikiset. It must be said that the group is active on all wikis not in "Opted-out of global sysop wikis".

I meant that it could be modified to say "Global sysop wikis" - it would then be correctly shown on Special:GlobalGroupPermissions but then again it won't be shown correctly on the interface at Special:WikiSets. How it's used internally in CA (WikiSet class's inSet and getWikis) is also consistent with Special:GlobalGroupPermissions's and doesn't make it any less confusing. So I don't know what is better tbh. Maybe it would be good to spend sometime so there is an optimally named system in both CentralAuth's code and user facing interface.

Change 295905 had a related patch set uploaded (by Glaisher):
Special:GlobalGroupPermissions: Move rights' list table to a separate view

https://gerrit.wikimedia.org/r/295905

Change 295905 abandoned by Thiemo Kreuz (WMDE):
Special:GlobalGroupPermissions: Move rights' list table to a separate view

Reason:
The Phabricator ticket is resolved. This patch was disputed and not updated in 4 years. I assume it is not needed any more.

https://gerrit.wikimedia.org/r/295905